<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Shared\OLE\PPS</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::The constructor.">
            <span class="description">The constructor.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method__getPpsWk" title="_getPpsWk ::Returns a string with the PPS&#039;s WK (What is a WK?).">
            <span class="description">Returns a string with the PPS&#039;s WK (What is a WK?).</span><pre>_getPpsWk</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method__savePpsSetPnt" title="_savePpsSetPnt ::Updates index and pointers to previous, next and children PPS&#039;s for this
PPS. I don&#039;t think it&#039;ll work with Dir PPS&#039;s.">
            <span class="description">Updates index and pointers to previous, next and children PPS&#039;s for this
PPS. I don&#039;t think it&#039;ll work with Dir PPS&#039;s.</span><pre>_savePpsSetPnt</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getDataLen" title="getDataLen ::Returns the amount of data saved for this PPS.">
            <span class="description">Returns the amount of data saved for this PPS.</span><pre>getDataLen</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>PPS</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description">Class for creating PPS&#039;s for OLE containers.</p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>author                                    </th>
                                    <td><p>Xavier Noguer <a href="mailto:xnoguer@php.net">xnoguer@php.net</a></p>
                                    </td>
                                </tr>                                <tr>
                                    <th>category                                    </th>
                                    <td><p>PhpSpreadsheet</p>
                                    </td>
                                </tr>                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>The constructor.</h2>
                            <pre>__construct(integer $No,string $name,integer $type,integer $prev,integer $next,integer $dir,integer $time_1st,integer $time_2nd,string $data,array $children)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$No</h4>
                                                <code>integer</code><p><p>The PPS index</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$name</h4>
                                                <code>string</code><p><p>The PPS name</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$type</h4>
                                                <code>integer</code><p><p>The PPS type. Dir, Root or File</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$prev</h4>
                                                <code>integer</code><p><p>The index of the previous PPS</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$next</h4>
                                                <code>integer</code><p><p>The index of the next PPS</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$dir</h4>
                                                <code>integer</code><p><p>The index of it's first child if this is a Dir or Root PPS</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$time_1st</h4>
                                                <code>integer</code><p><p>A timestamp</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$time_2nd</h4>
                                                <code>integer</code><p><p>A timestamp</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$data</h4>
                                                <code>string</code><p><p>The (usually binary) source data of the PPS</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$children</h4>
                                                <code>array</code><p><p>Array containing children PPS for this PPS</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method__getPpsWk"></a>
                        <div class="element clickable methodpublic method__getPpsWk" data-toggle="collapse" data-target=".method__getPpsWk .collapse">
                            <h2>Returns a string with the PPS&#039;s WK (What is a WK?).</h2>
                            <pre>_getPpsWk(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>The binary string</p></p>                                </div>
                            </div>

                        </div>                        <a id="method__savePpsSetPnt"></a>
                        <div class="element clickable methodpublic method__savePpsSetPnt" data-toggle="collapse" data-target=".method__savePpsSetPnt .collapse">
                            <h2>Updates index and pointers to previous, next and children PPS&#039;s for this
PPS. I don&#039;t think it&#039;ll work with Dir PPS&#039;s.</h2>
                            <pre>_savePpsSetPnt( &$raList,mixed $to_save,mixed $depth): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$raList</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$to_save</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$depth</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>The index for this PPS</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDataLen"></a>
                        <div class="element clickable methodpublic method_getDataLen" data-toggle="collapse" data-target=".method_getDataLen .collapse">
                            <h2>Returns the amount of data saved for this PPS.</h2>
                            <pre>getDataLen(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>The amount of data (in bytes)</p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_No"> </a>
                            <div class="element clickable propertypublic property_No" data-toggle="collapse" data-target=".property_No .collapse">
                                <h2>The PPS index.</h2>
                                <pre>No :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_Name"> </a>
                            <div class="element clickable propertypublic property_Name" data-toggle="collapse" data-target=".property_Name .collapse">
                                <h2>The PPS name (in Unicode).</h2>
                                <pre>Name :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_Type"> </a>
                            <div class="element clickable propertypublic property_Type" data-toggle="collapse" data-target=".property_Type .collapse">
                                <h2>The PPS type. Dir, Root or File.</h2>
                                <pre>Type :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_PrevPps"> </a>
                            <div class="element clickable propertypublic property_PrevPps" data-toggle="collapse" data-target=".property_PrevPps .collapse">
                                <h2>The index of the previous PPS.</h2>
                                <pre>PrevPps :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_NextPps"> </a>
                            <div class="element clickable propertypublic property_NextPps" data-toggle="collapse" data-target=".property_NextPps .collapse">
                                <h2>The index of the next PPS.</h2>
                                <pre>NextPps :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_DirPps"> </a>
                            <div class="element clickable propertypublic property_DirPps" data-toggle="collapse" data-target=".property_DirPps .collapse">
                                <h2>The index of it&#039;s first child if this is a Dir or Root PPS.</h2>
                                <pre>DirPps :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_Time1st"> </a>
                            <div class="element clickable propertypublic property_Time1st" data-toggle="collapse" data-target=".property_Time1st .collapse">
                                <h2>A timestamp.</h2>
                                <pre>Time1st :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_Time2nd"> </a>
                            <div class="element clickable propertypublic property_Time2nd" data-toggle="collapse" data-target=".property_Time2nd .collapse">
                                <h2>A timestamp.</h2>
                                <pre>Time2nd :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_startBlock"> </a>
                            <div class="element clickable propertypublic property_startBlock" data-toggle="collapse" data-target=".property_startBlock .collapse">
                                <h2>Starting block (small or big) for this PPS&#039;s data  inside the container.</h2>
                                <pre>startBlock :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_Size"> </a>
                            <div class="element clickable propertypublic property_Size" data-toggle="collapse" data-target=".property_Size .collapse">
                                <h2>The size of the PPS&#039;s data (in bytes).</h2>
                                <pre>Size :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property__data"> </a>
                            <div class="element clickable propertypublic property__data" data-toggle="collapse" data-target=".property__data .collapse">
                                <h2>The PPS&#039;s data (only used if it&#039;s not using a temporary file).</h2>
                                <pre>_data :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_children"> </a>
                            <div class="element clickable propertypublic property_children" data-toggle="collapse" data-target=".property_children .collapse">
                                <h2>Array of child PPS&#039;s (only used by Root and Dir PPS&#039;s).</h2>
                                <pre>children :array</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                            <a id="property_ole"> </a>
                            <div class="element clickable propertypublic property_ole" data-toggle="collapse" data-target=".property_ole .collapse">
                                <h2>Pointer to OLE container.</h2>
                                <pre>ole :\PhpOffice\PhpSpreadsheet\Shared\OLE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>\PhpOffice\PhpSpreadsheet\Shared\OLE</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Shared\OLE\PPS"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Shared.OLE.html">OLE</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.OLE.PPS.html">PPS</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:49 +0000.<br/>
    </footer></body>
</html>
